/* -------------------------------- FOERR.C --------------------------------
      Copyright (c) Spark Software Inc. 1990-1992.  All Rights Reserved.
   ------------------------------------------------------------------------- */

#include <windows.h>
#include <ddeml.h>
#include <memory.h>
#include "../commdefs.h"
#include "../commglob.h"


PUBLIC LPSTR PASCAL OpenFileErrorMsg( int nErrCode )
{
    register WORD           wIndex;
    PRIVATE OPENFILEERRINFO ErrInfo[ ] =
    {
        { 0x0000 , (LPSTR)"No error"                       } ,
        { 0x0001 , (LPSTR)"Invalid function"               } ,
        { 0x0002 , (LPSTR)"File not found"                 } ,
        { 0x0003 , (LPSTR)"Path not found"                 } ,
        { 0x0004 , (LPSTR)"Too many open files"            } ,
        { 0x0005 , (LPSTR)"Access denied"                  } ,
        { 0x0006 , (LPSTR)"Invalid handle"                 } ,
        { 0x0007 , (LPSTR)"Arena trashed"                  } ,
        { 0x0008 , (LPSTR)"Not enough memory"              } ,
        { 0x0009 , (LPSTR)"Invalid block"                  } ,
        { 0x000A , (LPSTR)"Bad environment"                } ,
        { 0x000B , (LPSTR)"Bad format"                     } ,
        { 0x000C , (LPSTR)"Invalid access"                 } ,
        { 0x000D , (LPSTR)"Invalid data"                   } ,
        { 0x000F , (LPSTR)"Invalid drive"                  } ,
        { 0x0010 , (LPSTR)"Current directory"              } ,
        { 0x0011 , (LPSTR)"Not same device"                } ,
        { 0x0012 , (LPSTR)"No more files"                  } ,
        { 0x0013 , (LPSTR)"Write protect error"            } ,
        { 0x0014 , (LPSTR)"Bad unit"                       } ,
        { 0x0015 , (LPSTR)"Not ready"                      } ,
        { 0x0016 , (LPSTR)"Bad command"                    } ,
        { 0x0017 , (LPSTR)"CRC error"                      } ,
        { 0x0018 , (LPSTR)"Bad length"                     } ,
        { 0x0019 , (LPSTR)"Seek error"                     } ,
        { 0x001A , (LPSTR)"Not MS-DOS disk"                } ,
        { 0x001B , (LPSTR)"Sector not found"               } ,
        { 0x001C , (LPSTR)"Out of paper"                   } ,
        { 0x001D , (LPSTR)"Write fault"                    } ,
        { 0x001E , (LPSTR)"Read fault"                     } ,
        { 0x001F , (LPSTR)"General failure"                } ,
        { 0x0020 , (LPSTR)"Sharing violation"              } ,
        { 0x0021 , (LPSTR)"Lock violation"                 } ,
        { 0x0022 , (LPSTR)"Wrong disk"                     } ,
        { 0x0023 , (LPSTR)"File control block unavailable" } ,
        { 0x0024 , (LPSTR)"Sharing buffer exceeded"        } ,
        { 0x0032 , (LPSTR)"Not supported"                  } ,
        { 0x0033 , (LPSTR)"Remote not listed"              } ,
        { 0x0034 , (LPSTR)"Duplicate name"                 } ,
        { 0x0035 , (LPSTR)"Bad netpath"                    } ,
        { 0x0036 , (LPSTR)"Network busy"                   } ,
        { 0x0037 , (LPSTR)"Device does not exist"          } ,
        { 0x0038 , (LPSTR)"Too many commands"              } ,
        { 0x0039 , (LPSTR)"Adaptor hardware error"         } ,
        { 0x003A , (LPSTR)"Bad network response"           } ,
        { 0x003B , (LPSTR)"Unexpected network error"       } ,
        { 0x003C , (LPSTR)"Bad remote adaptor"             } ,
        { 0x003D , (LPSTR)"Print queue full"               } ,
        { 0x003E , (LPSTR)"No spool space"                 } ,
        { 0x003F , (LPSTR)"Print canceled"                 } ,
        { 0x0040 , (LPSTR)"Netname deleted"                } ,
        { 0x0041 , (LPSTR)"Network access denied"          } ,
        { 0x0042 , (LPSTR)"Bad device type"                } ,
        { 0x0043 , (LPSTR)"Bad network name"               } ,
        { 0x0044 , (LPSTR)"Too many names"                 } ,
        { 0x0045 , (LPSTR)"Too many sessions"              } ,
        { 0x0046 , (LPSTR)"Sharing paused"                 } ,
        { 0x0047 , (LPSTR)"Request not accepted"           } ,
        { 0x0048 , (LPSTR)"Redirection paused"             } ,
        { 0x0050 , (LPSTR)"File exists"                    } ,
        { 0x0051 , (LPSTR)"Duplicate file control block"   } ,
        { 0x0052 , (LPSTR)"Cannot make"                    } ,
        { 0x0053 , (LPSTR)"Interrupt 24 failure"           } ,
        { 0x0054 , (LPSTR)"Out of structures"              } ,
        { 0x0055 , (LPSTR)"Already assigned"               } ,
        { 0x0056 , (LPSTR)"Invalid password"               } ,
        { 0x0057 , (LPSTR)"Invalid parameter"              } ,
        { 0x0058 , (LPSTR)"Net write fault"                } ,
        { 0      , (LPSTR)NULL                             }
    };


    /* Find the appropriate error message. */
    for( wIndex = 0; ErrInfo[ wIndex ].lpszErrMsg; wIndex++ )
    {
        if( ErrInfo[ wIndex ].nErrCode == nErrCode )
        {
            return ErrInfo[ wIndex ].lpszErrMsg;
        }
    }

    return (LPSTR)"Undefined error";

}/* OpenFileErrorMsg( ) */

/* EOF */
