/* ----------------------------- GLOBALS.H ---------------------------------
       Copyright (c) Spark Software Inc. 1990-1992.  All rights reserved.
   ------------------------------------------------------------------------- */

/* Exported function prototypes. */
PUBLIC BOOL     WINAPI   BrowseFileDlgProc( HWND hDlg , UINT wMessage , WPARAM wParam , LPARAM lParam );
PUBLIC BOOL     WINAPI   ConfigureDlgProc( HWND hDlg , UINT wMessage , WPARAM wParam , LPARAM lParam );
PUBLIC UINT     CALLBACK FindDlgHookProc( HWND hWnd , UINT wMessage , WPARAM wParam , LPARAM lParam );
PUBLIC DWORD    WINAPI   MsgHookProc( int nCode , WORD wParam , DWORD lParam );
PUBLIC LRESULT  WINAPI   WndProc( HWND hWnd , UINT wMessage , WPARAM wParam , LPARAM lParam );
PUBLIC HDDEDATA EXPENTRY DDEClientCallback( WORD wType , WORD wFmt ,
    HCONV hConv , HSZ hszTopic , HSZ hszItem , HDDEDATA hData ,
    DWORD lData1 , DWORD lData2 );

/* Other public function prototypes. */
PUBLIC VOID         PASCAL CleanupTopicsAndItems( VOID );
PUBLIC VOID         PASCAL GetSearchParms( LPWORD lpwSearchFlags , LPWORD lpwSearchDelay , LPSTR lpszSearchPath );
PUBLIC VOID         PASCAL InitTopicsAndItems( VOID );
PUBLIC VOID         PASCAL RevertServerNode( VOID );
PUBLIC VOID         PASCAL SetSearchParms( WORD wSearchFlags , WORD wSearchDelay , LPSTR lpszSearchPath );
PUBLIC VOID         PASCAL SetServerNode( LPSTR lpszNodeName );
PUBLIC VOID                ErrorMsg( UINT uErrorMsgIndex );
PUBLIC VOID         PASCAL MakeIconPathName( VOID );
PUBLIC VOID         PASCAL SetSearchConvHandle( HCONV hConv );
PUBLIC VOID         PASCAL SetTransactionTimeout( DWORD dwTimeout );
PUBLIC BOOL         PASCAL EndDDEConversation( HWND hWnd , HCONV hConv , LPWORD lpwDDEMLError );
PUBLIC BOOL         PASCAL ProcessFoundFile( HWND hWnd , LPSTR lpszFilePathName );
PUBLIC DWORD        PASCAL GetTransactionTimeout( VOID );
PUBLIC LPSTR        PASCAL DoGetData( HDDEDATA hData , LPGLOBALHANDLE lphData , LPDWORD lpdwLength , BOOL bLock );
PUBLIC LPSTR        PASCAL GetBaseName( LPSTR lpszPathName );
PUBLIC LPSTR        PASCAL GetIconPath( VOID );
PUBLIC LPSTR        PASCAL GetServerNode( VOID );
PUBLIC LPSTR        PASCAL lstrrchr( LPSTR lpszString , register int nChar );
PUBLIC LRESULT      PASCAL BeginDDESearchFind( HWND hWnd , LPSTR lpszFindWhat );
PUBLIC LRESULT      PASCAL DoDDESearchConfigure( HWND hWnd , WORD wSearchFlags , WORD wSearchInterval , LPSTR szSearchPath );
PUBLIC LRESULT      PASCAL DoDDESystemTopic( HWND hWnd , WORD wParam );
PUBLIC LRESULT      PASCAL DoFindDlg( HWND hWnd );
PUBLIC LRESULT      PASCAL EndDDESearchFind( HWND hWnd , BOOL bAdvStop );
PUBLIC LRESULT      PASCAL HandleFindMsg( HWND hWnd , WPARAM wParam , LPARAM lParam );
PUBLIC HCONV        PASCAL BeginDDEConversation( HWND hWnd , LPSTR lpszApp , LPSTR lpszTopic , LPWORD lpwDDEMLError );
PUBLIC HCONV        PASCAL BeginDDESearchConv( HWND hWnd );
PUBLIC HCONV        PASCAL GetSearchConvHandle( VOID );
PUBLIC HDDEDATA     PASCAL DoTransaction( HWND hWnd , LPVOID lpvData , DWORD dwData , HCONV hConv , HSZ hszItem , UINT wFormat , UINT wType , DWORD dwTimeout , LPDWORD lpdwResult , LPWORD lpwDDEMLError );

    /* Public initialized data objects. */
#   ifdef INITMODULE

PUBLIC BYTE        szAppName[ ] = APP_NAME;
PUBLIC BYTE        szClass[ ]   = MASTER_CLASS_NAME;
PUBLIC CONVCONTEXT ccInfo = { sizeof( CONVCONTEXT ) , 0 , 0 , 0 , 0L , 0L };

#   else

PUBLIC BYTE        szAppName[ ];
PUBLIC BYTE        szClass[ ];
PUBLIC CONVCONTEXT ccInfo;

#   endif /* INITMODULE */

/* Public uninitialized data objects. */
PUBLIC BOOL      bServerTerminated;
PUBLIC BYTE      szString[ 0x0200 ];
PUBLIC WORD      wExitStatus;
PUBLIC DWORD     dwInstID;
PUBLIC HWND      hWndMaster;
PUBLIC HWND      hFindDlg;
PUBLIC HINSTANCE hInst;

/* EOF */
