/* --------------------------------- MEM.C ---------------------------------
      Copyright (c) Spark Software Inc. 1990-1992.  All Rights Reserved.
   ------------------------------------------------------------------------- */

#include <windows.h>
#include <ddeml.h>
#include <memory.h>
#include "../commdefs.h"
#include "../commglob.h"


PUBLIC DWORD PASCAL MemSize( GLOBALHANDLE hSegment )
{
    return GlobalSize( hSegment );

}/* MemSize( ) */


PUBLIC GLOBALHANDLE PASCAL GetMem( DWORD dwLength )
{
    /* Allocate a zero-initialized memory segment. */
    return GlobalAlloc( GHND , dwLength );

}/* GetMem( ) */


PUBLIC GLOBALHANDLE PASCAL AdjustMem( GLOBALHANDLE hSegment , DWORD dwNewLength )
{
    if( !hSegment )
    {
        /* One stop memory shopping! */
        return GetMem( dwNewLength );
    }

    /* NOTE: if allocated, the new block may */
    /* be larger than the requested length.  */
    return GlobalReAlloc( hSegment , dwNewLength , GHND );

}/* AdjustMem( ) */


PUBLIC LPVOID PASCAL LockMem( GLOBALHANDLE hSegment )
{
    /* If the memory block is good, lock it. */
    if( !hSegment || ( GlobalFlags( hSegment ) & GMEM_DISCARDED ) )
    {
        return (LPVOID)NULL;
    }

    return (LPVOID)GlobalLock( hSegment );

}/* LockMem( ) */


PUBLIC VOID PASCAL UnlockMem( GLOBALHANDLE hSegment )
{
    GlobalUnlock( hSegment );

}/* UnlockMem( ) */


PUBLIC VOID PASCAL FreeMem( GLOBALHANDLE hSegment )
{
    GlobalFree( hSegment );

}/* FreeMem( ) */

/* EOF */
